Airport Extreme Compatibility With Vista

Is there anyway I can make my Airport Extreme with WPA Security compatible with a laptop (Windows Vista Home Premium) without setting the extreme to unsecured and leaving my network vulnerable?
Thanks
Dave

QA AirPort Extreme Base Station

QA AirPort Extreme Base Station

Product No Longer Available

1 Answer from the Community

  • Fully compatible with Vista (SP2).